POST api/MedicalExamcos/SaveA_La_CarteComponent
Request Information
URI Parameters
None.
Body Parameters
MEALaCarteComponentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| ListComponentID | Collection of integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| EmployeeID | string |
String length: inclusive between 0 and 12 |
|
| EncounterId | integer |
None. |
|
| ServiceId | integer |
None. |
|
| EccCaseTypeId | integer |
None. |
|
| OrderDrugScreenTypeId | integer |
None. |
|
| OrderId | Collection of integer |
None. |
|
| OrderIdList | Collection of integer |
None. |
|
| PatientCheckinId | integer |
None. |
|
| ScheduleDate | date |
None. |
|
| ScheduleTime | time interval |
None. |
|
| OnSiteLocationId | integer |
None. |
|
| TelemedicineId | integer |
None. |
|
| FacilityCode | string |
None. |
|
| TimeZone | integer |
None. |
|
| LocationSelection | string |
None. |
|
| ServiceLocationId | integer |
None. |
|
| IsFutureAppointment | boolean |
None. |
|
| IsFromCaseList | boolean |
None. |
|
| IsFacilitySchedule | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"CaseNo": 1,
"ListComponentID": [
1,
2
],
"CorporationCode": "sample string 2",
"EmployeeID": "sample string 3",
"EncounterId": 4,
"ServiceId": 5,
"EccCaseTypeId": 1,
"OrderDrugScreenTypeId": 1,
"OrderId": [
1,
2
],
"OrderIdList": [
1,
2
],
"PatientCheckinId": 1,
"ScheduleDate": "2026-06-20T09:57:01.8630392-07:00",
"ScheduleTime": "00:00:00.1234567",
"OnSiteLocationId": 1,
"TelemedicineId": 1,
"FacilityCode": "sample string 6",
"TimeZone": 1,
"LocationSelection": "sample string 7",
"ServiceLocationId": 8,
"IsFutureAppointment": true,
"IsFromCaseList": true,
"IsFacilitySchedule": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMEALaCarteComponentDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MEALaCarteComponentDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"ListComponentID": [
1,
2
],
"CorporationCode": "sample string 2",
"EmployeeID": "sample string 3",
"EncounterId": 4,
"ServiceId": 5,
"EccCaseTypeId": 1,
"OrderDrugScreenTypeId": 1,
"OrderId": [
1,
2
],
"OrderIdList": [
1,
2
],
"PatientCheckinId": 1,
"ScheduleDate": "2026-06-20T09:57:01.8630392-07:00",
"ScheduleTime": "00:00:00.1234567",
"OnSiteLocationId": 1,
"TelemedicineId": 1,
"FacilityCode": "sample string 6",
"TimeZone": 1,
"LocationSelection": "sample string 7",
"ServiceLocationId": 8,
"IsFutureAppointment": true,
"IsFromCaseList": true,
"IsFacilitySchedule": true
},
"totalCount": 3
}